- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# bigip_snat_pool – Manage SNAT pools on a BIG-IP

- Synopsis

- Parameters

- Notes

- Examples

- Return Values

- Status

## Synopsis

- Manage SNAT pools on a BIG-IP.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
description string added in 2.9 |  | A general description of the SNAT pool, provided by the user for their benefit. It is optional.
members list |  | List of members to put in the SNAT pool. When a `state` of present is provided, this parameter is required. Otherwise, it is optional. The members can be either IP addresses, or names of the SNAT translation objects. aliases: member
name string / required |  | The name of the SNAT pool.
partition string added in 2.5 | Default: "Common" | Device partition to manage resources on.
provider dictionary added in 2.5 |  | A dict object containing connection details.
| auth_provider string |  | Configures the auth provider for to obtain authentication tokens from the remote device. This option is really used when working with BIG-IQ devices.
| password string / required |  | The password for the user account used to connect to the BIG-IP. You may omit this option by setting the environment variable `F5_PASSWORD`. aliases: pass, pwd
| server string / required |  | The BIG-IP host. You may omit this option by setting the environment variable `F5_SERVER`.
| server_port integer | Default: 443 | The BIG-IP server port. You may omit this option by setting the environment variable `F5_SERVER_PORT`.
| ssh_keyfile path |  | Specifies the SSH keyfile to use to authenticate the connection to the remote device. This argument is only used for cli transports. You may omit this option by setting the environment variable `ANSIBLE_NET_SSH_KEYFILE`.
| timeout integer |  | Specifies the timeout in seconds for communicating with the network device for either connecting or sending commands. If the timeout is exceeded before the operation is completed, the module will error.
| transport string | Choices: cli rest ← | Configures the transport connection to use when connecting to the remote device.
| user string / required |  | The username to connect to the BIG-IP with. This user must have administrative privileges on the device. You may omit this option by setting the environment variable `F5_USER`.
| validate_certs boolean | Choices: no yes ← | If `no`, SSL certificates are not validated. Use this only on personally controlled sites using self-signed certificates. You may omit this option by setting the environment variable `F5_VALIDATE_CERTS`.
state string | Choices: present ← absent | Whether the SNAT pool should exist or not.

## Notes

Note

- When `bigip_snat_pool` object is removed it also removes any associated `bigip_snat_translation` objects.

- This is a BIG-IP behavior not module behavior and it only occurs when the `bigip_snat_translation` objects are also not referenced by another `bigip_snat_pool`.

- For more information on using Ansible to manage F5 Networks devices see https://www.ansible.com/integrations/networks/f5.

- Requires BIG-IP software version >= 12.

- The F5 modules only manipulate the running configuration of the F5 product. To ensure that BIG-IP specific configuration persists to disk, be sure to include at least one task that uses the bigip_config module to save the running configuration. Refer to the module’s documentation for the correct usage of the module to save your running configuration.

## Examples

    - name: Add the SNAT pool 'my-snat-pool'
      bigip_snat_pool:
        name: my-snat-pool
        state: present
        members:
          - 10.10.10.10
          - 20.20.20.20
        provider:
          server: lb.mydomain.com
          user: admin
          password: secret
      delegate_to: localhost

    - name: Change the SNAT pool's members to a single member
      bigip_snat_pool:
        name: my-snat-pool
        state: present
        member: 30.30.30.30
        provider:
          server: lb.mydomain.com
          user: admin
          password: secret
      delegate_to: localhost

    - name: Remove the SNAT pool 'my-snat-pool'
      bigip_snat_pool:
        name: johnd
        state: absent
        provider:
          server: lb.mydomain.com
          user: admin
          password: secret
      delegate_to: localhost

    - name: Add the SNAT pool 'my-snat-pool' with a description
      bigip_snat_pool:
        name: my-snat-pool
        state: present
        members:
          - 10.10.10.10
          - 20.20.20.20
        description: A SNAT pool description
        provider:
          server: lb.mydomain.com
          user: admin
          password: secret
      delegate_to: localhost

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
members list | changed and success | List of members that are part of the SNAT pool. Sample: ['10.10.10.10']

## Status

- This module is guaranteed to have backward compatible interface changes going forward. [stableinterface]

- This module is maintained by an Ansible Partner. [certified]

### Authors

- Tim Rupp (@caphrim007)

- Wojciech Wypior (@wojtek0806)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.